<div class="container">
  <div class="header-line">
    <h1 class="header">Top Tracks</h1>
    <button mat-raised-button color="primary" (click)="saveTopTracksPlaylist()" class="save-list-button">Save Playlist</button>
  </div>
  <div class="time-range">
    <button mat-button class="range-button" [class.active]="timeRange==='shortTerm'" (click)="onTimeRange('shortTerm')">Last month</button>
    <button mat-button class="range-button" [class.active]="timeRange==='mediumTerm'" (click)="onTimeRange('mediumTerm')">Last 6 months</button>
    <button mat-button class="range-button" [class.active]="timeRange==='longTerm'" (click)="onTimeRange('longTerm')">All time</button>
  </div>
  <mat-list>
    <mat-list-item *ngFor="let track of trackList; let counter = index ">
      <img matListAvatar [src]="track.album.images[1].url" alt="Track cover">
      <button mat-icon-button *ngIf="!track.playingNow" class="play-button" (click)="play(track)"  [disabled]="!track.preview_url">
          <mat-icon>play_arrow</mat-icon>
      </button>
      <button mat-icon-button  *ngIf="track.playingNow" class="pause-button" (click)="pause(track)">
          <mat-icon>pause</mat-icon>
      </button>
      <div mat-line>
        <div class="list-line">
          <span class="number">{{ counter + 1 }}</span>
          <div class="track-name">
            <div><strong>{{ track.name | slice:0:40 }}</strong><span *ngIf="track.name.length >= 40">...</span></div>
            <div> {{ track.artists[0].name }} </div>
          </div>
        </div>
      </div>
    </mat-list-item>
  </mat-list>
</div>
